### Constructor

# Gtk PropertyExpression new

#### Declaration [src]

    GtkExpression*
    gtk_property_expression_new (
      GType this_type,
      GtkExpression* expression,
      const char* property_name
    )

#### Description [src]

Creates an expression that looks up a property.

The object to use is found by evaluating the `expression`, or using the `this` argument when `expression` is `NULL`.

If the resulting object conforms to `this_type`, its property named `property_name` will be queried. Otherwise, this expression’s evaluation will fail.

The given `this_type` must have a property with `property_name`.

#### Parameters

`this_type` | `GType`
| The type to expect for the this type.
`expression` | `GtkExpression`
| Expression to evaluate to get the object to query or `NULL` to query the `this` object.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`property_name` | `const char*`
| Name of the property.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkPropertyExpression`
| A new `GtkExpression`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.